<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.goods.mapper.ShopConfigMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="shopConfigResultMap" type="org.springblade.ldt.goods.entity.ShopConfig">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="shop_id" property="shopId"/>
        <result column="sending_price" property="sendingPrice"/>
        <result column="packing_price" property="packingPrice"/>
        <result column="sending_need_least_price" property="sendingNeedLeastPrice"/>
        <result column="business_start_time" property="businessStartTime"/>
        <result column="business_end_time" property="businessEndTime"/>
        <result column="shop_status" property="shopStatus"/>
        <result column="shop_notice" property="shopNotice"/>
    </resultMap>


    <select id="selectShopConfigPage" resultMap="shopConfigResultMap">
        select * from ldt_shop_config where is_deleted = 0
    </select>

</mapper>
